
# Contributing to Next.js Centralized Error Handler

Thank you for considering contributing to this project! Your contributions are essential to making this package even more robust and useful for the Next.js community.

## How to Contribute

1. **Fork the Repository**
   - Create a fork of the repository on GitHub to start working independently.

2. **Clone the Repository**
   ```bash
   git clone https://github.com/riyons/nextjs-centralized-error-handler.git
   cd nextjs-centralized-error-handler
   ```

3. **Create a Branch**
   - Branch from the `main` branch and name it something descriptive (e.g., `add-new-error-class`).
   ```bash
   git checkout -b add-new-feature
   ```

4. **Make Changes**
   - Make sure your code follows best practices, is well-documented, and includes tests where appropriate.

5. **Run Tests**
   - Before submitting your changes, ensure all tests pass:
   ```bash
   npm test
   ```

6. **Create a Pull Request**
   - Push your branch to GitHub and open a pull request (PR) against the `main` branch. Include a descriptive title and detailed description of your changes.

7. **Code Review**
   - Once you submit the PR, it will be reviewed. Please be responsive to feedback and make necessary adjustments.

## Guidelines

- Follow the existing coding style.
- Ensure that new features are accompanied by relevant tests.
- Document your changes, especially if introducing a new feature.
- Be respectful and open to feedback.

## Reporting Issues

If you encounter any issues or bugs, please open an issue on GitHub with a detailed description of the problem and steps to reproduce it.

Thank you for helping improve this package!
